import { r as registerInstance, B as Build, h } from './index-000d2977.js';

const appLogListCss = "";

const AppLogList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  onSearchInput(event) {
    this.query = event.target.value;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/logs" }, "Logs"), h("ion-buttons", { slot: "end" }, h("ion-button", { fill: "solid", color: "primary", href: "/logs/new" }, "Add"))), h("div", { class: "ion-padding" }, h("fireenjin-search-bar", { ref: (el) => (this.filterBarEl = el), paginationEl: this.paginationEl, filters: null })), h("fireenjin-filter-bar", { paginationEl: this.paginationEl, filter: {
          label: "Filter By",
          controls: [
            {
              name: "locationId",
              label: "Location",
              endpoint: "listLocations",
              icon: "business",
              dataPropsMap: {
                locations: "results",
              },
            },
            {
              name: "type",
              label: "Type",
              icon: "pricetags",
              multiple: true,
              options: [
                { label: "Write", value: "Mutation" },
                { label: "Read", value: "Query" },
                { label: "Stripe", value: "stripe" },
                { label: "AnswerConnect", value: "answerconnect" },
              ],
            },
          ],
        } }), h("fireenjin-pagination", { ref: (el) => (this.paginationEl = el), listEl: ({ result: log }) => (h("fireenjin-log-item", { ...log })), display: "list", endpoint: "listLogs", limit: 20, resultsKey: "logs", query: this.query, name: "logs" })),
      h("floodteam-navigation-footer", null),
    ];
  }
};
AppLogList.style = appLogListCss;

export { AppLogList as app_log_list };
